<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('schedule_shifts', function (Blueprint $table) {
            $table->time('shifting_from_time')->after('cws_day')->nullable();
            $table->time('shifting_to_time')->after('shifting_from_time')->nullable();
            $table->string('shifting_day', 100)->after('shifting_to_time')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('schedule_shifts', function (Blueprint $table) {
            $table->dropColumn('shifting_from_time');
            $table->dropColumn('shifting_to_time');
            $table->dropColumn('shifting_day');
        });
    }
};
